CERTIPY(1)

NAME
certipy - Utility to create and sign CAs and certificates

DESCRIPTION
usage: certipy [-h] [--ca-name CA_NAME] [--overwrite] [--rm]

    [--cert-type {rsa}] [--bits BITS] [--valid VALID] [--alt-names ALT_NAMES] [--store-dir STORE_DIR] name

Certipy: Create simple, self-signed certificate authorities and certs.

  positional arguments:

name
    Name of the cert to create, defaults to creating a CA cert. If no signing --ca-name specified.

  options:

-h, --help
    show this help message and exit

--ca-name CA_NAME
    The name of the CA to sign this cert.

--overwrite
    If the cert already exists, bump the serial and overwrite it.

--rm
    Remove the cert specified by name.

--cert-type {rsa}
    The type of key to create.

--bits BITS
    The number of bits to use.

--valid VALID
    Years the cert is valid for.

--alt-names ALT_NAMES
    Alt names for the certificate (comma delimited).

--store-dir STORE_DIR
    The location for the store and certs.

SEE ALSO
The full documentation for certipy is maintained as a Texinfo manual. If the info and certipy programs are properly installed at your site, the command

    info certipy

should give you access to the complete manual.